<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Vacancy"				                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

=== Version 4.0 / November 2013 ===

*/

define('CPO', true);
require_once('../_include/checkaccess.inc.php');

header('Content-type: text/csv');
header('Content-Disposition: attachment; filename="'.$directory.'_'.date('Y-m-d').'.csv"');

// Daten ausgeben
$query = "SELECT * FROM ".CPO_MOD_VACANCY." WHERE module='".$directory."' ORDER BY datum ";
DEBUG(1, $query, __FILE__, __LINE__);
$db = new DB;
$db->query($query); 
while ($db->next_record())  {
	$termine[]=array(
		$db->v('datum'),
		$db->v('kunde'),
		$db->v('text'),
		$db->v('description'),
		$db->v('status')
		);
}
echo '"Datum";"Kunde";"Titel";"Beschreibung";"Status"'."\n";
foreach ($termine AS $termin)  {
	echo '"'.$termin[0].'";"'.$termin[1].'";"'.$termin[2].'";"'.$termin[3].'";"'.$termin[4].'"'."\n";
}
?>