<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Vacancy"				                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

=== Version 4.0 / November 2013 ===

*/

define('CPO', true);
require_once('../_include/checkaccess.inc.php');

// Moduleinstellungen speichern (neue Version mit automatischem Einlesen neuer Variablen) ************************
if (isset($_POST['save'])) {
	$new_settings = ($_POST) ? $_POST : $_GET ;
    foreach ($activeModules[$directory] as $k=>$v) {
        if (!isset($_POST['cpoVacancyNew'][$k])) continue;
        if (is_bool($activeModules[$directory][$k])) {
            $activeModules[$directory][$k] = (bool) $_POST['cpoVacancyNew'][$k];
        } else  {
			$activeModules[$directory][$k] = $_POST['cpoVacancyNew'][$k];
		}
		if (array_key_exists($k, $new_settings['cpoVacancyNew'])) unset($new_settings['cpoVacancyNew'][$k]);
    }
	if (isset($new_settings['cpoVacancyNew']))  {
		foreach ($new_settings['cpoVacancyNew'] as $k=>$v) {
			$activeModules[$directory][$k] = $new_settings['cpoVacancyNew'][$k];
		}
	}
    $c_datum = date ("Y-m-d H:i:s", time());
    $query = sprintf(
             "UPDATE ".CPO_MODULES." SET options ="
            ." '%s' WHERE name = '".$directory."'", 
            addslashes(serialize($activeModules[$directory]))
    );
    DEBUG(1, $query, __FILE__, __LINE__);
    $db = new DB;
    $db->query($query); 

    $message[] = __('Module settings were updated!');
}

?>

<script type="text/javascript"><!--

var whichColor = '';
//var col_link = '';


function openDialog(URL, name, width, height, parameters)
{
    // set some defaults if not given
    if (!name)   name   = '';
    if (!width)  width  = screen.width/2;
    if (!height) height = screen.height/2;
    if (!parameters) parameters = 'scrollbars=no, resizable=yes';

    xOffset = (screen.width  - width)/2;
    yOffset = (screen.height - height)/2;

    newwindow = window.open(URL, name, 'width='+width+', height='+height+', top='+yOffset+', left='+xOffset+', '+parameters);
    return newwindow;
}

function pickedColor(color)
{
    if (!color) return;
    eval('document.modulesettings.'+whichColor+'.value="'+color+'";');
    eval('document.modulesettings.'+whichColor+'_show.style.backgroundColor="'+color+'";');
}

function getPickedColor()
{
    return eval(whichColor+'.value;');
}

function colorize()
{
    document.getElementById('weekend_show').style.backgroundColor = document.getElementById('weekend').value;
    document.getElementById('standard_show').style.backgroundColor = document.getElementById('standard').value;
    document.getElementById('month_show').style.backgroundColor = document.getElementById('month').value;
}

function textarea (boxid, link){ 
	var t=document.getElementById(boxid); 
	if(link.innerHTML=='<?php echo __('enlarge'); ?>'){ 
		t.style.height = t.offsetHeight+200+"px"; 
		link.innerHTML='<?php echo __('reduce'); ?>'; 
	} else{ 
		t.style.height = t.offsetHeight-200+"px"; 
		link.innerHTML='<?php echo __('enlarge'); ?>'; 
	} 
} 

//--> </script>

<?php

// Seitenausgabe ********************************************************

// Header
require(CPO_BASEDIR.'_include/header.php');




		printPageHeader(
			__('Vacancy module settings'),
			__('In this view you can work on the vacancy module settings.'),
			'http://manual.conpresso4.de/vacancy/settings.htm',
			true,
			'modules'
		);

		require(CPO_BASEDIR."_include/message.php");

		echo '<form method="post" action="'.$_SERVER['PHP_SELF'].'" name="modulesettings">';
		echo '<input type="hidden" name="save" value="1">';
 
		include(CPO_BASEDIR.$directory.'/license.inc.php');

if (!$vacbreak) {
		// table header {{{
        echo '<table class="colored" style="width: 100%;">';
        echo '<thead><tr>';

        echo '<th colspan="2"><span>'.__('Module settings').'</span></th>';

		echo '</tr></thead><tbody>';
        // }}}

		echo '<tr>';
			echo '<td class="leftrow">';
			echo __('Article title:');
			echo '</td>';
			echo '<td class="rightrow">';
			echo '<input type="text" class="text inputwidth" name="cpoVacancyNew[article]" value="'.htmlspecialchars($activeModules[$directory]['article'], ENT_COMPAT, 'ISO-8859-15').'" />';
			echo '</td>';
		echo '</tr>';

		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('States definition:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<textarea style="width: 95%; height: 100px;" id="custom_fields" class="text inputwidth" name="cpoVacancyNew[custom_fields]">'.htmlspecialchars($activeModules[$directory]['custom_fields'], ENT_COMPAT, 'ISO-8859-15').'</textarea>';
            echo '<br />';
            echo __('Syntax: state;hexcolor + LF/CR');
			echo '<br /><a href="#" onClick="textarea(\'custom_fields\', this);return false" id="lnk">'.__('enlarge').'</a>';
			echo '</td>';
		echo '</tr>';

		echo '<tr>';
			echo '<td class="leftrow">';
			echo __('Weekend color:');
			echo '</td>';
			echo '<td class="rightrow">';
			echo '<input type="text" class="text" id="weekend" name="cpoVacancyNew[weekend]" value="'.strtoupper($activeModules[$directory]['weekend']).'" size="7" onchange="colorize();"><INPUT tyype="text" class="text" id="weekend_show" size="1" value="" style="cursor:hand; width=20px" readonly onClick="whichColor=\'weekend\'; openDialog(\'../_editor/colorpicker.php\', \'\', 530, 285)">';
			echo '</td>';
		echo '</tr>';

		echo '<tr>';
			echo '<td class="leftrow">';
			echo __('Standard color:');
			echo '</td>';
			echo '<td class="rightrow">';
			echo '<input type="text" class="text" id="standard" name="cpoVacancyNew[standard]" value="'.strtoupper($activeModules[$directory]['standard']).'" size="7" onchange="colorize();"><INPUT tyype="text" class="text" id="standard_show" size="1" value="" style="cursor:hand; width=20px" readonly onClick="whichColor=\'standard\'; openDialog(\'../_editor/colorpicker.php\', \'\', 530, 285)">';
			echo '</td>';
		echo '</tr>';

		echo '<tr>';
			echo '<td class="leftrow">';
			echo __('Month color:');
			echo '</td>';
			echo '<td class="rightrow">';
			echo '<input type="text" class="text" id="month" name="cpoVacancyNew[month]" value="'.strtoupper($activeModules[$directory]['month']).'" size="7" onchange="colorize();"><INPUT tyype="text" class="text" id="month_show" size="1" value="" style="cursor:hand; width=20px" readonly onClick="whichColor=\'month\'; openDialog(\'../_editor/colorpicker.php\', \'\', 530, 285)">';
			echo '</td>';
		echo '</tr>';

		echo '<tr>';
			echo '<td class="leftrow">';
			echo __('Default state:');
			echo '</td>';
			echo '<td class="rightrow">';
			echo '<input type="text" class="text inputwidth" name="cpoVacancyNew[default]" value="'.htmlspecialchars($activeModules[$directory]['default'], ENT_COMPAT, 'ISO-8859-15').'" />';
			echo '</td>';
		echo '</tr>';

		echo '<tr>';
			echo '<td class="leftrow">';
			echo __('Future months:');
			echo '</td>';
			echo '<td class="rightrow">';
			echo '<input type="text" class="text inputwidth" name="cpoVacancyNew[future]" value="'.$activeModules[$directory]['future'].'" />';
			echo '</td>';
		echo '</tr>';

		echo '<tr>';
			echo '<td class="leftrow">';
			echo __('Past months:');
			echo '</td>';
			echo '<td class="rightrow">';
			echo '<input type="text" class="text inputwidth" name="cpoVacancyNew[past]" value="'.$activeModules[$directory]['past'].'" />';
			echo '</td>';
		echo '</tr>';

		echo '<tr>';
			echo '<td class="leftrow">';
			echo __('Planning months:');
			echo '</td>';
			echo '<td class="rightrow">';
			echo '<input type="text" class="text inputwidth" name="cpoVacancyNew[planning]" value="'.$activeModules[$directory]['planning'].'" />';
			echo '</td>';
		echo '</tr>';

		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Show legend:');
            echo '</td>';
            echo '<td class="rightrow">';
			$yes_selected = '';
			$no_selected = '';
			if ($activeModules[$directory]['show_legend'] == 'yes')  $yes_selected = ' selected="selected" ';
			if ($activeModules[$directory]['show_legend'] == 'no')  $no_selected = ' selected="selected" ';
            echo '<select name="cpoVacancyNew[show_legend]">';
			echo '<option value="yes"'.$yes_selected.'>'.__('yes').'</option>';
			echo '<option value="no"'.$no_selected.'>'.__('no').'</option>';
            echo '</select>';
            echo '</td>';
		echo '</tr>';

		echo '<tr>';
			echo '<td class="leftrow">';
			echo __('Legend title:');
			echo '</td>';
			echo '<td class="rightrow">';
			echo '<input type="text" class="text inputwidth" name="cpoVacancyNew[legend]" value="'.htmlspecialchars($activeModules[$directory]['legend'], ENT_COMPAT, 'ISO-8859-15').'" />';
			echo '</td>';
		echo '</tr>';

		echo '<tr>';
            echo '<td class="leftrow">';
            echo '&nbsp;';
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<input type="submit" class="button" value="'.__('Save module settings').'">';
            echo '</td>';
		echo '</tr>';

		echo '</tbody></table>';
// ******** EOF ***************
}

		echo '</form>';

?>
<script type="text/javascript"><!--
	colorize();
//--> </script>
<?php
// ==== footer =====
include(CPO_BASEDIR.$directory.'/producer.inc.php');
include(CPO_BASEDIR.'_include/footer.php');

?>